opensaml::Assertion Class Reference

Base class for SAML assertions. More...

`#include <saml/RootObject.h>`

Inheritance diagram for opensaml::Assertion:
[legend]
Collaboration diagram for opensaml::Assertion:
[legend]

## Additional Inherited Members

Public Member Functions inherited from opensaml::RootObject
virtual const XMLCh * | getID () const =0
| Returns the unique SAML ID of the object.
virtual const xercesc::XMLDateTime * | getIssueInstant () const =0
| Returns the timestamp of the object.
virtual time_t | getIssueInstantEpoch () const =0
| Returns the timestamp of the object as an epoch.
Public Member Functions inherited from opensaml::SignableObject
virtual xmlsignature::Signature * | getSignature () const =0
| Returns the enveloped Signature from the object.
virtual void | setSignature (xmlsignature::Signature *sig)=0
| Sets an enveloped Signature in the object.
Protected Member Functions inherited from opensaml::SignableObject
void | declareNonVisibleNamespaces () const
| Search the object for non-visible namespaces, and pin them on the root of the object where necessary, adding them to the inclusive prefix list for signing purposes.

## Detailed Description

Base class for SAML assertions.

Currently just a marker interface.

The documentation for this class was generated from the following file:

- saml/RootObject.h